# gulu-vue
## 注意

请先阅读 [uni-app快速上手](https://uniapp.dcloud.io/quickstart)

## 业务组件

-   业务组件和页面放到一起（如：pages/index/components）
-   组件名大写

## 通用组件

-   通用组件统一放入 src/components 目录下
-   组件目录名请大写


## 样式
-   sass
-   尽量避免多层级嵌套 [详情-自定义组件样式](https://developers.weixin.qq.com/miniprogram/dev/framework/custom-component/wxml-wxss.html)
-   尽量避免标签选择器 [详情-自定义组件样式](https://developers.weixin.qq.com/miniprogram/dev/framework/custom-component/wxml-wxss.html)

## 注释

必要的时候请添加合适的注释（但不要滥用注释）

## git commit

建议参考 [Commit message 和 Change log 编写指南](http://www.ruanyifeng.com/blog/2016/01/commit_message_change_log.html)


## Project setup
```
npm install
```

### H5
```
npm run serve
```

### Compiles and minifies for production
```
npm run build
```

### 微信小程序
```
npm run dev:mp-weixin
```
### 其他命令
- 参考package.json文件

