 import urlAlias from '../url';
 import request from '../request';

 const {
  shopList
 } = urlAlias;

const state = {
  list: [],
};

const mutations = {
  INIT: (state, data) => {
    state.list = data;
  },
};

const actions = {
  fetch({ commit }, param) {
    request({
      url: shopList,
      success: (res) => {
        commit('INIT', res.data.data)
      },
      fail: (res) => {
        console.log("fail status === > ", res);
      },
      complete: (res) => {
        console.log("complete status === > ", res);
      },
    })
    // uni
    //   .request({
    //     url: "https://api.glass.xiuyetang.com/app/prod/list",
    //     method: "post",
    //     data: {},
    //     header: {
    //       "Content-Type": "application/x-www-form-urlencoded",
    //     },
    //     timeout: 3000,
    //     withCredentials: false, 
    //     success: (res) => {
    //       commit('INIT', res.data.data)
    //     },
    //     fail: (res) => {
    //       console.log("fail status === > ", res);
    //     },
    //     complete: (res) => {
    //       console.log("complete status === > ", res);
    //     },
    //   });
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
