import urlAlias from '../url';
import request from '../request';

const {
  cancelOrder
} = urlAlias;

const actions = {
  cancel({ commit }, param) {
    return new Promise((resolve)=>
		request({
		    url: cancelOrder,
		    data: param,
		    success: (res) => {
		      // console.log(res.data);
			  resolve(res.data)
		    },
	})  )
  }
}

export default {
  namespaced: true,
  actions,
}