import urlAlias from '../url';
import request from '../request';

const {
    detailStandardUrl
} = urlAlias

const state = {
    list:[],
};

const mutations = {
    INIT: (state, data) => {
      state.list = data;
    },
};

const actions = {
    fetch({ commit }, param) {
        request({
          url: detailStandardUrl,
          data: param,
          success: (res) => {
            commit('INIT', res.data)
          },
          fail: (res) => {
            console.log(" detail fail status === > ", res);
          },
          complete: (res) => {
            console.log(" detail complete status === > ", res);
          },
      })
    }
  }

export default {
    namespaced: true,
    state,
    mutations,
    actions,
}