import urlAlias from '../url';
import request from '../request';

const {
	myOrderList
} = urlAlias

/*
const data = {
    data: [
        {
            finished_time: null,
            is_refound: "0",
            mch_id: "1436019502",
            money_of_dcw: "0",
            money_of_partner: "0",
            money_of_shop: "0",
            orderJudge: false,
            order_info: {
                address:{
                        cityName: "镇江市",
                        countyName: "丹阳市",
                        detailInfo: "延陵镇柳茹村卫生室附近秀野堂农业发展有限公司",
                        errMsg: "chooseAddress:ok",
                        nationalCode: "321181",
                        postalCode: "212300",
                        provinceName: "江苏省",
                        telNumber: "15896379277",
                        userName: "点餐汪客服",
                    },
                cartinfo:['11', '12'],
                keyname: "1_1587129366",
                lefttime: 179995,
                list:[
                    {
                        cart_id: "11",
                        imgUrl: "https://glass.xiuyetang.com//upload_jk/4/4_0_3FDA03.jpg",
                        img_index_url: null,
                        memo: "志平防蓝光-防辐射电脑网课眼镜，TR90弹性漆，近视镜，青春潮流，01-8701",
                        mp_id: "1",
                        nowPrice: 100,
                        num: "2",
                        oldPrice: "0",
                        p_discount: "1",
                        p_name: "01-8701志平防蓝光-防辐射电脑网课眼镜，TR90弹性漆，近视镜，青春潮流",
                        p_root_index: "1",
                        p_sale_price: "0",
                        peopleName: "me",
                        pics: '',
                        pid: "4",
                        sk_id: "38",
                    },
                ],
                orderDesc: "总共包括有：01-8701志平防蓝光-防辐射电脑网课眼镜，TR90弹性漆，近视镜，青春潮流在内的1件商品",
                total_fee: 100
            },
            partner_uid: "0",
            pay_cate: "2020",
            pay_id: "3",
            pay_time: "2020-04-17 21:16:12",
            pay_wood_desc: "在【非常戴镜】的微信付款凭证",
            pay_wood_id: "fcdj-1-1_1587129366",
            prepay_id: "wx172116124528226bf1a8adad1662456500",
            re_check_staus: "0",
            shopid: "0",
            split_userid: "0",
            status: "1",
            total_fee: "100",
            uid: "1",
        }
    ],
    msg: "订单列表",
    status: 0,
}
*/

const state = {
	orderList: [],
};

const mutations = {
	INIT: (state, data) => {
		state.orderList = data;
	},
};

const actions = {
	getList({
		commit
	}, param) {
		request({
			url: myOrderList,
			data: {
				uid: 76,
				order_status:200000
			},
			success: (res) => {
				// console.log('myOrderList', res.data);
				commit("INIT", res.data.data);
				// commit(/"INIT", data);
			},
		})
	}
}

export default {
	namespaced: true,
	state,
	mutations,
	actions,
}
