const DOMAIN = 'https://api.glass.xiuyetang.com'
// const DOMAIN = 'http://localhost:8062'
export default async function request({
  url,
  method = 'post',
  data = {
	  wood_cate: 818,
	  shop_id:12
  },
  header = {
    'Content-Type': 'application/x-www-form-urlencoded',
	// 'Appid': 6
  },
  timeout = 3000,
  withCredentials = false, // 跨域请求时是否携带凭证（cookies）
  // sslVerify: true, // 验证 ssl 证书
  success,
  fail = (res) => {
    console.log('fail status === > ', res)
  },
  complete = (res) => {
    console.log('complete status === > ', res)
  },
}) {
  const uid = uni.getStorageSync('uid')
  const openid = uni.getStorageSync('openid')
  data = {
    uid,
    openid,
    ...data,
  }
  uni
    .request({
      url: DOMAIN + url,
      method,
      data,
      header,
      timeout,
      withCredentials,
      success,
      fail,
      complete,
    })
}
