const urlAlias = {
  // 详情
  read: '/api/frontend/wood/detail', // 获取商品信息

  // 首页
  shopList: '/api/frontend/wood/list', // 获取首页商品列表
  // category: '/app/prod/category2', 
  category: '/api/frontend/wood/category',// 获取首页商品分类
  search: '/app/prod/search', // 首页搜索商品

  // 登陆
  login: '/api/frontend/glass/getOpenId', // 登陆
  getUserInfo: '/api/frontend/glass/userinfo', // 获取用户信息

  // 我的订单
  orderList: '/api/frontend/order/list', // 获取订单列表
  myOrderList: '/api/frontend/order/list', // 获取订单列表
  orderRead: '/api/frontend/order/read', // 获取订单详情
  cancelOrder: '/api/frontend/order/wait/del', // 取消订单
  statusConfirm: '/api/frontend/order/statusConfirm', // 订单操作
  payLog: '/api/frontend/pay/log', // 调起支付
  orderBuild: '/api/frontend/order/build', // 加购后生成订单
  buyNow: '/api/frontend/order/buynow', // 立即购买生成订单
  pay: '/api/frontend/pay/log', // 支付接口

  // 购物车
  cartList: '/api/frontend/cart/list', // 获取购物车列表
  cartModi: '/api/frontend/cart/modi', // 修改购物车
  cartDel: '/api/frontend/cart/del', // 删除购物车
  cartAdd: '/api/frontend/cart/add', // 添加购物车

  // 我的
  recommandList: '/api/frontend/wood/recommand', // 获取用户个性化推荐商品

  // 镜框选购页
  detailStandardList: '/api/frontend/prod/read', // 获取商品的详细信息
  // 选购页
  detailStandardUrl: '/api/frontend/prod/read', // 获取商品的详细信息
  makePost: '/api/frontend/glass/makeProdAdvPic', // 生成分享海报

  // 地址管理
  editAddress: '/api/frontend/user/address/modi', // 编辑地址
  addAddress: '/api/frontend/user/address/add', // 添加地址
  addressList: '/api/frontend/user/address/list', // 获取用户地址列表
  getAddress: '/api/frontend/user/address/get', // 获取用户某一地址信息
  getDefaultAddress: '/api/frontend/user/address/get', // 获取用户默认地址信息

  // 用户数据
  mylovelist: '/api/frontend/user/mylovelist', // 关心的人的数据
  myloveadd: '/api/frontend/user/myloveadd', // 添加关心的人
  myloveupdate: '/api/frontend/user/myloveupdate', // 更新关心人的数据
}

export default urlAlias
